Subject: Re: [bug#48953] [PATCH v2 2/3] gnu: dino: Add missing inputs.

From: Jack Hill <[email-masked]>
Date: Thu, 10 Jun 2021 23:31:00 -0400 (EDT)

On Thu, 10 Jun 2021, Raghav Gururajan via Guix-patches via wrote:

> These new inputs are referenced by the package but was missing in
> the package definition. Some of these inputs might have been used
> by the package indirectly via propagation from other inputs.

Cool, thanks for working on improving Dino.

> * gnu/packages/messaging.scm (dino)[native-inputs]: Add gobject-introspection.
> [inputs]: Add atk, cairo, gdk-pixbug+svg, libcanberra, libnice and pango.
> ---
> gnu/packages/messaging.scm | 9 ++++++++-
> 1 file changed, 8 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
> index d85577e76c..5be733f3a2 100644
> --- a/gnu/packages/messaging.scm
> +++ b/gnu/packages/messaging.scm

[…]

> +       ("libcanberra" ,libcanberra)

I think canberra support is disabled by default even if the dependency is 
present. I found the following configure-flags enable it:

#:configure-flags (list "-DDINO_PLUGIN_ENABLED_notification-sound=yes")

Now I'm curious to find out from upstream why it's not enabled by default 
and if that should affect whether we enable it in Guix.

Best,
Jack